#include<gnome.h>
#include"callbacks.h"

static GnomeUIInfo filemenu[] =
{
  {GNOME_APP_UI_ITEM,N_("New Game"),NULL,
   new_game_cb},
  {GNOME_APP_UI_ITEM,N_("Deck Editor"),NULL, deck_editor_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("Sealed Deck Generator"),NULL, sealed_deck_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("Save Message Window Buffer"),NULL,save_message_cb},
  GNOMEUIINFO_SEPARATOR,
  GNOMEUIINFO_MENU_EXIT_ITEM(destroy,NULL),
  GNOMEUIINFO_END
};

static GnomeUIInfo gamemenu[] =
{
  {GNOME_APP_UI_ITEM,N_("Set _Life"),NULL,set_life_cb},
  {GNOME_APP_UI_ITEM,N_("Next _Phase"),NULL,next_phase_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("Increment Life"),NULL,increment_life_cb},
  {GNOME_APP_UI_ITEM,N_("Decrement Life"),NULL,decrement_life_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("Increment _Turn"),NULL,increment_turn_cb},
  {GNOME_APP_UI_ITEM,N_("Decrement Turn"),NULL,decrement_turn_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("Declare _Untap Phase"),NULL,declare_untap_cb},
  {GNOME_APP_UI_ITEM,N_("Declare Up_keep Phase"),NULL,declare_upkeep_cb},
  {GNOME_APP_UI_ITEM,N_("Declare _Draw Phase"),NULL,declare_draw_cb},
  {GNOME_APP_UI_ITEM,N_("Declare _Main Phase"),NULL,declare_main_cb},
  {GNOME_APP_UI_ITEM,N_("Declare _Attack Phase"),NULL,declare_attack_cb},
  {GNOME_APP_UI_ITEM,N_("Declare Discard/_Cleanup Phase"),NULL,
   declare_discard_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("Clear Buffer"),NULL, clear_buffer_cb},
  GNOMEUIINFO_END
};

static GnomeUIInfo librarymenu[] =
{
  {GNOME_APP_UI_ITEM,N_("Move Library to Graveyard"),NULL,
   move_lib_to_grave_cb},
  {GNOME_APP_UI_ITEM,N_("Move Library to Hand"),NULL,
   move_lib_to_hand_cb},
  {GNOME_APP_UI_ITEM,N_("Remove Library from Game"),NULL,
   remove_lib_cb},
  GNOMEUIINFO_END
};

static GnomeUIInfo gravemenu[] =
{
  {GNOME_APP_UI_ITEM,N_("Move Graveyard to Library"),NULL,
   move_grave_to_lib_cb},
  {GNOME_APP_UI_ITEM,N_("Move Graveyard to Hand"),NULL,
   move_grave_to_hand_cb},
  {GNOME_APP_UI_ITEM,N_("Remove Graveyard from Game"),NULL,
   remove_grave_cb},
  GNOMEUIINFO_END
};

static GnomeUIInfo handmenu[] =
{
  {GNOME_APP_UI_ITEM,N_("Move Hand to Library"),NULL,
   move_hand_to_lib_cb},
  {GNOME_APP_UI_ITEM,N_("Move Hand to Graveyard"),NULL,
   move_hand_to_grave_cb},
  {GNOME_APP_UI_ITEM,N_("Remove Hand from Game"),NULL,
   remove_hand_cb},
  GNOMEUIINFO_END
};

static GnomeUIInfo removemenu[] =
{
  {GNOME_APP_UI_ITEM,N_("Move RFG to Library"),NULL,
   move_rfg_to_lib_cb},
  {GNOME_APP_UI_ITEM,N_("Move RFG to Graveyard"),NULL,
   move_rfg_to_grave_cb},
  {GNOME_APP_UI_ITEM,N_("Move Move RFG to Hand"),NULL,
   move_rfg_to_hand_cb},
  GNOMEUIINFO_END
};

static GnomeUIInfo actionmenu[] =
{
  {GNOME_APP_UI_ITEM,N_("_Draw Card"),NULL,draw_card_cb},
  {GNOME_APP_UI_ITEM,N_("_Untap My Permanents"),NULL,untap_my_perms_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("_Create Card"),NULL,create_card_cb},
  {GNOME_APP_UI_ITEM,N_("Bury _Random Card From Hand"),NULL,bury_random_card_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("_Flip a Coin"),NULL,flip_coin_cb},
  {GNOME_APP_UI_ITEM,N_("Roll a D_ie"),NULL,roll_die_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("_Shuffle Library"),NULL,shuffle_library_cb},
  GNOMEUIINFO_SEPARATOR,
  GNOMEUIINFO_SUBTREE(N_("Library"),librarymenu),
  GNOMEUIINFO_SUBTREE(N_("Graveyard"),gravemenu),
  GNOMEUIINFO_SUBTREE(N_("Hand"),handmenu),
  GNOMEUIINFO_SUBTREE(N_("Removed from Game"),removemenu),
  GNOMEUIINFO_END
};

static GnomeUIInfo viewmenu[] = 
{
  {GNOME_APP_UI_ITEM,N_("My _Graveyard"),NULL,view_my_grave_cb},
  {GNOME_APP_UI_ITEM,N_("Opponent's G_raveyard"),NULL,view_op_grave_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("My Removed Cards"),NULL,view_my_rfg_cb},
  {GNOME_APP_UI_ITEM,N_("Opponent's Removed Cards"),NULL,
   view_op_rfg_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("My _Library"),NULL,view_my_lib_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("_Top Cards Of My Library"), NULL,
   view_top_lib_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("Game _Status"),NULL,view_game_status_cb},
  GNOMEUIINFO_END
};

static GnomeUIInfo showmenu[] = 
{
  {GNOME_APP_UI_ITEM,N_("_My Hand"),NULL,show_my_hand_cb},
  {GNOME_APP_UI_ITEM,N_("My Entire _Library"),NULL,show_entire_lib_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("_Random Card from Hand"),NULL,
   show_random_hand_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("_Top Cards of my Library"),NULL,
   show_top_lib_cb},
  GNOMEUIINFO_END
};

static GnomeUIInfo chatmenu[] =
{
  {GNOME_APP_UI_ITEM,N_("_Hide"),NULL,chat_hide_cb},
  {GNOME_APP_UI_ITEM,N_("Sho_w"),NULL,chat_show_cb},
  {GNOME_APP_UI_ITEM,N_("Bring to Origin"),NULL,chat_bring_to_origin_cb},
  {GNOME_APP_UI_ITEM,N_("Bring to Top"),NULL,chat_bring_to_top_cb},
  {GNOME_APP_UI_ITEM,N_("Anchor"),NULL,chat_anchor_cb},
  GNOMEUIINFO_END
};

static GnomeUIInfo commmenu[] =
{
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("_Edit Macros"),NULL,edit_macros_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("Pin_g Remote User"),NULL,ping_remote_user_cb},
  GNOMEUIINFO_SEPARATOR,
  GNOMEUIINFO_SUBTREE(N_("Chat"),chatmenu),
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("_Disconnect"),NULL,disconnect_cb},
  GNOMEUIINFO_END
}; 

static GnomeUIInfo optionmenu[] =
{
  {GNOME_APP_UI_ITEM,N_("Preferences"),NULL,preferences_cb},
  {GNOME_APP_UI_ITEM,N_("_Set Name"),NULL,set_name_cb},
  GNOMEUIINFO_END
};

static GnomeUIInfo refmenu[] =
{
  {GNOME_APP_UI_ITEM,N_("Type I - Set List"),NULL,
   t1_set_list_cb},
  {GNOME_APP_UI_ITEM,N_("Type II - Set List"), NULL,
   t2_set_list_cb},
  {GNOME_APP_UI_ITEM,N_("Type 1.5 - Set List"), NULL,
   t1_5_set_list_cb},
  {GNOME_APP_UI_ITEM,N_("Type 1.X - Set List"),NULL,
   t1_x_set_list_cb},
  {GNOME_APP_UI_ITEM,N_("Type C - Set List"),NULL,
   tc_set_list_cb},
  {GNOME_APP_UI_ITEM,N_("Ice Age Block - Set List"),NULL,
   ice_age_set_list_cb},
  {GNOME_APP_UI_ITEM,N_("Mirage Block - Set List"),NULL,
   mirage_set_list_cb},
  {GNOME_APP_UI_ITEM,N_("Rath Cycle - Set List"),NULL,
   rath_set_list_cb},
  {GNOME_APP_UI_ITEM,N_("Urza's Cycle - Set List"),NULL,
   urza_set_list_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("Type I - Restricted List"),NULL,
   t1_restricted_list_cb},
  {GNOME_APP_UI_ITEM,N_("Type I - Banned List"),NULL,
   t1_banned_list_cb},
  {GNOME_APP_UI_ITEM,N_("Type II - Banned List"),NULL,
   t2_banned_list_cb},
  {GNOME_APP_UI_ITEM,N_("Type 1.5 - Banned List"),NULL,
   t1_5_banned_list_cb},
  {GNOME_APP_UI_ITEM,N_("Type 1.X - Banned List"),NULL,
   t1_x_banned_list_cb},
  {GNOME_APP_UI_ITEM,N_("Type C - Banned List"),NULL,
   tc_banned_list_cb},
  {GNOME_APP_UI_ITEM,N_("Ice Age Block - Banned List"),NULL,
   ice_age_banned_list_cb},
  {GNOME_APP_UI_ITEM,N_("Mirage Block - Banned List"),NULL,
   mirage_banned_list_cb},
  {GNOME_APP_UI_ITEM,N_("Rath Cycle - Banned List"),NULL,
   rath_banned_list_cb},
  {GNOME_APP_UI_ITEM,N_("Urza's Cycle - Banned List"),NULL,
   urza_banned_list_cb},
  GNOMEUIINFO_SEPARATOR,
  {GNOME_APP_UI_ITEM,N_("Unplayable Cards"),NULL,
   unplayable_cards_cb},
  GNOMEUIINFO_END
};


static GnomeUIInfo helpmenu[] =
{
  GNOMEUIINFO_MENU_ABOUT_ITEM(NULL,NULL),
  GNOMEUIINFO_END
};


static GnomeUIInfo menubar[] = 
{
  GNOMEUIINFO_MENU_FILE_TREE(filemenu),
  GNOMEUIINFO_SUBTREE(N_("_Game"),gamemenu),
  GNOMEUIINFO_SUBTREE(N_("_Action"),actionmenu),
  GNOMEUIINFO_SUBTREE(N_("_View"),viewmenu),
  GNOMEUIINFO_SUBTREE(N_("_Show"),showmenu),
  GNOMEUIINFO_SUBTREE(N_("_Communications"),commmenu),
  GNOMEUIINFO_SUBTREE(N_("_Options"),optionmenu),
  GNOMEUIINFO_SUBTREE(N_("_References"),refmenu),
  GNOMEUIINFO_MENU_HELP_TREE(helpmenu),
  GNOMEUIINFO_END
};

GtkWidget* create_app() {

  GtkWidget *app1;
  GtkWidget *dock1;
  GtkWidget *toolbar;
  GtkWidget *button1;
  GtkWidget *tmp_toolbar_icon;

  app1 = gnome_app_new("Apprentice 2.0a","Apprentice 2.0a");
  gtk_object_set_data(GTK_OBJECT(app1),"app1",app1);

  dock1 = GNOME_APP(app1)->dock;
  gtk_object_set_data(GTK_OBJECT(app1),"dock1",dock1);

  toolbar = gtk_toolbar_new(GTK_ORIENTATION_HORIZONTAL,GTK_TOOLBAR_BOTH);
  gtk_object_set_data(GTK_OBJECT(app1),"toolbar",toolbar);
  gtk_widget_show(toolbar);
  gnome_app_add_toolbar(GNOME_APP(app1), GTK_TOOLBAR(toolbar),"toolbar",
                        GNOME_DOCK_ITEM_BEH_EXCLUSIVE,
                        GNOME_DOCK_TOP,1,0,0);
  gtk_container_set_border_width (GTK_CONTAINER (toolbar), 1);
  gtk_toolbar_set_space_size (GTK_TOOLBAR (toolbar), 16);
  gtk_toolbar_set_space_style (GTK_TOOLBAR (toolbar), GTK_TOOLBAR_SPACE_LINE);

  tmp_toolbar_icon = gnome_stock_pixmap_widget (app1, GNOME_STOCK_PIXMAP_NEW);
  button1 = gtk_toolbar_append_element (GTK_TOOLBAR (toolbar),
                                GTK_TOOLBAR_CHILD_BUTTON,
                                NULL,
                                _("New"),
                                NULL, NULL,
                                tmp_toolbar_icon, NULL, NULL);
  gtk_object_set_data (GTK_OBJECT (app1), "button1", button1);
  gtk_widget_show (button1);



  gnome_app_create_menus(GNOME_APP(app1), menubar);
  gtk_signal_connect(GTK_OBJECT(app1), "delete_event",
                     GTK_SIGNAL_FUNC(delete_event), NULL);
  gtk_signal_connect(GTK_OBJECT(app1), "destroy",
                     GTK_SIGNAL_FUNC(destroy), NULL);
  return app1;
}
