
#include<gnome.h>

void create_hand_window(GtkWidget *hand_list) {
  GtkWidget *window;
  GtkWidget *hand_window;
  gchar *titles[2] = {"Cost","Name"};

  window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_widget_set_usize(window,200,300);
  hand_window = gtk_scrolled_window_new(NULL,NULL);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (hand_window),
                                  GTK_POLICY_AUTOMATIC, GTK_POLICY_ALWAYS);

  hand_list = gtk_clist_new_with_titles(2,titles);
  gtk_clist_set_column_width(GTK_CLIST(hand_list),0,40);
  gtk_object_set_data(GTK_OBJECT(hand_window),"hand_list",hand_list);
  gtk_widget_show(hand_list);
  gtk_widget_show(hand_window);

  gtk_container_add(GTK_CONTAINER(hand_window), hand_list);

  gtk_container_add(GTK_CONTAINER(window), hand_window);
  gtk_widget_show(window);
}

void create_message_window() {
  GtkWidget *window;
  GtkWidget *message_window;
  GtkWidget *text, *vscrollbar;
  GtkWidget *hbox;

  window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_widget_set_usize(window,600,100);
  hbox = gtk_hbox_new(0,1);
  
  text = gtk_text_new (NULL, NULL);
  gtk_text_set_editable (GTK_TEXT (text), TRUE);
  gtk_container_add(GTK_CONTAINER(window),hbox);
  gtk_box_pack_start(GTK_BOX(hbox),text,1,1,0);
  gtk_widget_show(hbox);
  gtk_widget_show (text);

  /* Add a vertical scrollbar to the GtkText widget */
  vscrollbar = gtk_vscrollbar_new (GTK_TEXT (text)->vadj);
  gtk_box_pack_end(GTK_BOX(hbox),vscrollbar,0,0,0);
  gtk_widget_show (vscrollbar);

  gtk_widget_show(window);

}

void create_floating_toolbar(GtkWidget *app1) {
  
  GtkWidget *window;
  GtkWidget *toolbar;
  GtkWidget *button,*button2,*button3;
  GdkPixmap *pixmap;
  GtkWidget *pixmapwid;
  GtkStyle  *style;
  GdkBitmap *mask;


  window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  
  button = gtk_button_new();
  style = gtk_widget_get_style(GTK_WIDGET(app1));
  pixmap = gdk_pixmap_create_from_xpm (GTK_WIDGET(app1)->window, &mask,
                                       &style->bg[GTK_STATE_NORMAL],
                                       "pixmap/lib.xpm");
  pixmapwid = gtk_pixmap_new (pixmap, mask);
  gtk_container_add(GTK_CONTAINER(button),pixmapwid);
  gtk_widget_show(pixmapwid);
  gtk_widget_show(button);

  button2 = gtk_button_new();
  pixmap = gdk_pixmap_create_from_xpm (GTK_WIDGET(app1)->window, &mask,
                                       &style->bg[GTK_STATE_NORMAL],
                                       "pixmap/grave.xpm");
  pixmapwid = gtk_pixmap_new (pixmap, mask);
  gtk_container_add(GTK_CONTAINER(button2),pixmapwid);
  gtk_widget_show(pixmapwid);     
  gtk_widget_show(button2);  

  button3 = gtk_button_new();
  pixmap = gdk_pixmap_create_from_xpm (GTK_WIDGET(app1)->window, &mask,
                                       &style->bg[GTK_STATE_NORMAL],    
                                       "pixmap/rfg.xpm");   
  pixmapwid = gtk_pixmap_new (pixmap, mask);              
  gtk_container_add(GTK_CONTAINER(button3),pixmapwid);
  gtk_widget_show(pixmapwid);                        
  gtk_widget_show(button3); 


  toolbar = gtk_toolbar_new(GTK_ORIENTATION_HORIZONTAL,GTK_TOOLBAR_BOTH);
  gtk_toolbar_append_widget( GTK_TOOLBAR (toolbar),
                                       button, NULL, NULL);
  gtk_toolbar_append_widget(GTK_TOOLBAR(toolbar),button2,NULL,NULL);
  gtk_toolbar_append_widget(GTK_TOOLBAR(toolbar),button3,NULL,NULL);
  gtk_widget_show(toolbar);
  gtk_container_add(GTK_CONTAINER(window),toolbar);
  gtk_widget_show(window);
}
